2024-11-10 17:00  arthur

	* FAQ, NEWS, README, configure.ac, cvsd.c, debian/changelog,
	  debian/copyright, ChangeLog: release 1.0.25

2024-11-10 15:49  arthur

	* debian/control: upgrade to standards-version 4.7.0

2024-11-10 13:46  arthur

	* debian/po/: cs.po, da.po, de.po, fr.po, ja.po, nl.po, pt_BR.po:
	  switch all debconf translations to UTF-8

2024-11-10 13:30  arthur

	* debian/control: specify Rules-Requires-Root: no

2024-11-10 12:51  arthur

	* Makefile.am, debian/cvsd.service: add a systemd service file
	  (thanks наб) (closes: #1039159)

2024-11-09 19:42  arthur

	* FAQ, Makefile.am, README, capabilities.txt, cvsd.c, cvsd.spec.in,
	  debian/control, debian/copyright: switch to HTTPS URLs where
	  possible

2024-11-09 19:22  arthur

	* debian/lintian-overrides: have lintian ignore our shell detection
	  code

2024-11-09 19:18  arthur

	* debian/lintian-overrides: update lintian-overrides

2024-11-09 19:09  arthur

	* .cvsignore, Makefile.am, debian/compat, debian/control: bump
	  debhelper compatibility to 13 (thanks наб)

2024-11-09 18:53  arthur

	* cvsd.conf.5.in: fix typo (thanks lintian)

2024-11-09 17:48  arthur

	* cfg.c, cfg.h, cvsd.8.in, cvsd.c: add a --nofork argument to cvsd
	  (thanks наб)

2024-11-09 17:27  arthur

	* cvsd.c: have cvsd exit 0 on SIGTERM (thanks наб)

2024-11-09 17:24  arthur

	* INSTALL, autogen.sh, compile, config.guess, config.sub,
	  configure.ac, depcomp, install-sh, missing, mkinstalldirs:
	  upgrade to recent automake/autoconf

2013-10-11 16:37  arthur

	* INSTALL, autogen.sh, compile, config.guess, config.sub,
	  configure.ac, depcomp, install-sh, missing, mkinstalldirs:
	  upgrade to recent automake/autoconf

2013-10-11 16:17  arthur

	* cvsd.c: fix some compiler warnings (thanks Clang)

2012-06-02 17:10  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.24

2012-05-25 10:33  arthur

	* depcomp: include updated file

2012-05-25 10:26  arthur

	* debian/postrm: fix indenting

2012-05-25 10:23  arthur

	* debian/postrm: allow preseeding of cvsd/remove_chroot

2012-03-04 21:08  arthur

	* debian/: compat, control, rules: bump debhelper compatibility to
	  9 and enable hardening flags (thanks Simon Ruderich)

2012-03-04 11:25  arthur

	* NEWS, README, configure.ac, cvsd.c, debian/changelog, ChangeLog:
	  release 1.0.23

2012-03-04 11:18  arthur

	* debian/po/vi.po: fix Vietnamese debconf translation to use
	  correct paragraph markers

2012-03-04 10:48  arthur

	* debian/control: upgrade to standards-version 3.9.3 (no changes
	  needed)

2012-03-04 10:47  arthur

	* debian/copyright: switch to machine-readable format 1.0

2012-03-04 10:40  arthur

	* INSTALL, config.guess, config.sub, depcomp, install-sh, missing:
	  include updated files

2012-03-04 10:17  arthur

	* debian/po/it.po: add Italian (it) translation of debconf
	  templates by Beatrice Torracca <beatricet@libero.it>

2011-10-04 21:30  arthur

	* cfg.c: portability improvement by Eric Schnoebelen

2011-08-07 23:11  arthur

	* Makefile.am, debian/compat, debian/control,
	  debian/cvsd.bug-script, debian/cvsd.bug.script, debian/rules:
	  switch to dh for debian/rules and bump debhelper compatibility to
	  8

2011-08-07 22:09  arthur

	* configure.ac: add the possibility to specify
	  --disable-maintainer-mode

2011-07-03 22:37  arthur

	* cvsd-buildroot.in: look in all subdirectories of /lib for NSS
	  modules

2011-06-13 14:07  arthur

	* NEWS, README, configure.ac, debian/changelog, debian/copyright,
	  ChangeLog: release 1.0.22

2011-06-12 13:25  arthur

	* FAQ: update FAQ from website

2011-06-12 13:12  arthur

	* debian/control: upgrade to standards-version 3.9.2 (no changes
	  needed)

2011-06-12 12:58  arthur

	* config.guess, config.sub: include updated files

2011-06-12 12:47  arthur

	* Makefile.am: make deb now always uses debuild

2011-06-12 12:36  arthur

	* debian/source/format: switch to 3.0 (native) source format

2011-06-10 09:50  arthur

	* cvsd-buildroot.in: look for system libraries in all paths of
	  /etc/ld.so.conf

2011-01-29 22:20  arthur

	* cvsd.c: log address and port with bind() failures and only do
	  getnameinfo once for every address/port to bind

2010-12-28 22:17  arthur

	* debian/cvsd.init: revert change of killing hanging cvs children
	  to avoid breaking existing connections

2010-12-24 15:25  arthur

	* FAQ: update FAQ from website

2010-12-23 17:44  arthur

	* cvsd.c: don't log EINTR on select() any more, not even in debug
	  mode because it scares the users

2010-12-23 17:28  arthur

	* debian/cvsd.init: kill any remaining child process from init
	  script on stop

2010-12-23 16:58  arthur

	* .cvsignore: ignore configure.lineno

2010-09-08 22:15  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.21

2010-09-08 21:46  arthur

	* cvsd.c: log bind() failures as error and bail out

2010-09-08 21:31  arthur

	* cvsd.c: remove remainer of test for previous address bound

2010-09-05 10:33  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.20

2010-08-29 15:29  arthur

	* cfg.c: use AI_ADDRCONFIG with getaddrinfo() to avoid getting
	  addresses for protocols we cannot handle on this host

2010-08-29 15:27  arthur

	* cvsd.c: use IPV6_V6ONLY on IPv6 sockets to ensure that they only
	  handle IPv6 traffic

2010-08-26 20:59  arthur

	* cvsd.c: simplify error handling of bind() even further

2010-08-25 23:24  arthur

	* cvsd.c: now always ignore EADDRINUSE for bind() calls because now
	  IPv4 addresses from getaddrinfo() are returned before IPv6 ones
	  for some reason

2010-08-17 18:15  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.19

2010-08-15 12:08  arthur

	* debian/po/: cs.po, da.po, de.po, es.po, fr.po, ja.po, nl.po,
	  pt.po, pt_BR.po, ru.po, sv.po, vi.po: update .po files with
	  debconf-updatepo

2010-08-15 12:05  arthur

	* cvsd.init.in: change init script dependency on $remote_fs (for
	  /usr) from Should to Required (same as in debian/cvsd.init)

2010-08-13 22:33  arthur

	* README, configure.ac: redirect bugs to the cvsd-users mailing
	  list

2010-08-13 22:31  arthur

	* FAQ: update FAQ from homepage

2010-08-13 21:25  arthur

	* debian/control: upgrade to standards-version 3.9.1 (no changes
	  needed)

2010-08-13 20:38  arthur

	* Makefile.am, debian/source/format: switch to source format "3.0
	  (native)"

2010-08-13 20:22  arthur

	* INSTALL, config.guess, config.sub: include updated files

2010-07-05 23:29  arthur

	* cvsd-buildroot.in: set an umask for generated files

2010-07-05 23:18  arthur

	* cvsd-buildroot.in: ignore commented out lines in CVSROOT/passwd
	  files (thanks to Ondrej Jombik for reporting this)

2010-02-28 20:45  arthur

	* debian/cvsd.init: change init script dependency on $remote_fs
	  (for /usr) from Should to Required (thanks lintian)

2010-01-14 22:31  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.18

2010-01-14 22:29  arthur

	* README, cvsd-buginfo.in, cvsd.c: update copyright year

2010-01-14 22:08  arthur

	* cvsd-buildroot.in: use if-statements rather than || and && where
	  possible when creating the chroot directory layout (fixes a
	  problem with bash 4)

2010-01-14 21:30  arthur

	* cvsd-buginfo.in: fix uname invocation

2009-12-30 22:59  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.17

2009-12-30 22:53  arthur

	* debian/: compat, control, rules: upgrade to debhelper
	  compatibility level 7

2009-12-30 22:50  arthur

	* debian/control: upgrade to standards-version 3.8.3 (no changes
	  needed)

2009-12-30 22:44  arthur

	* README, cvsd-buginfo.8.in, cvsd-buildroot.8.in, cvsd.conf.5.in:
	  spelling fixes (thanks lintian for pointing one out)

2009-09-21 22:06  arthur

	* INSTALL, autogen.sh, config.guess, config.sub, depcomp,
	  install-sh, missing, mkinstalldirs: upgrade to using automake
	  1.11

2009-09-21 22:00  arthur

	* configure.ac, cvsd.c: we assume signal handler returns void

2009-09-21 21:54  arthur

	* debian/po/ru.po: add Russian (ru) translation of debconf
	  templates by Yuri Kozlov <yuray@komyakino.ru>

2009-06-12 23:48  arthur

	* AUTHORS, FAQ, Makefile.am, README, configure.ac,
	  cvsd-buginfo.8.in, cvsd-buildroot.8.in, cvsd-passwd.8.in,
	  cvsd.8.in, cvsd.c, cvsd.conf.5.in, cvsd.spec.in, debian/control,
	  debian/copyright: replace references to ch.tudelft.nl with
	  arthurdejong.org

2009-03-15 18:30  arthur

	* debian/control: move to new section vcs

2008-12-21 16:19  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.16

2008-12-15 10:44  arthur

	* debian/po/sv.po: add Swedish (sv) translation of debconf
	  templates by Martin Bagge <brother@bsnet.se>

2008-08-09 19:03  arthur

	* Makefile.am, debian/lintian-overrides, debian/postinst,
	  debian/rules: fix some lintian issues (override some and fix one)

2008-06-13 16:49  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.15

2008-06-13 16:47  arthur

	* config.guess, config.sub: include updated files

2008-06-13 16:41  arthur

	* configure.ac, cvsd-buildroot.in, cvsd.c, debian/copyright: update
	  copyright year

2008-06-13 16:39  arthur

	* ChangeLog, ChangeLog-2006: moved changes of 2006 to
	  ChangeLog-2006

2008-06-13 16:32  arthur

	* debian/control: upgrade to standards-version 3.8.0 (no changes
	  needed)

2008-06-13 16:16  arthur

	* debian/copyright: take a shot at making debian/copyright machine
	  parseable

2008-06-13 16:13  arthur

	* cvsd-buildroot.in: set aside tls directories if they are in the
	  chroot jail

2008-04-02 23:13  arthur

	* Makefile.am: also ship historical ChangeLog files

2008-04-02 23:11  arthur

	* debian/cvsd.init: make start not fail if already running and stop
	  not fail if not running

2007-12-07 16:21  arthur

	* NEWS, configure.ac, debian/changelog, ChangeLog: release 1.0.14

2007-12-07 16:10  arthur

	* config.guess, config.sub: include updated files

2007-12-07 16:08  arthur

	* cvsd-buginfo.in, cvsd.c, cvsd.init.in, xmalloc.c,
	  debian/copyright, debian/cvsd.init, Makefile.am, README: fix
	  copyright notices

2007-12-07 16:06  arthur

	* FAQ: fix some wrapping issues

2007-12-07 15:33  arthur

	* debian/postrm: replace userdel and groupdel commands with better
	  alternative (found in
	  http://wiki.debian.org/AccountHandlingInMaintainerScripts)

2007-12-07 15:32  arthur

	* debian/copyright: explicitly point to GPL-2 file

2007-12-07 15:32  arthur

	* debian/control: make references in Vcs-* fields consistent

2007-12-07 15:25  arthur

	* debian/control: upgrade to standards-version 3.7.3 (no changes
	  needed)

2007-12-07 14:40  arthur

	* ChangeLog, ChangeLog-2005: moved changes of 2005 to
	  ChangeLog-2005

2007-12-07 14:20  arthur

	* Makefile.am, NEWS, README, cvsd-buginfo.in, cvsd.conf-dist,
	  cvsd.spec.in, debian/control: don't use backtick as quote

2007-11-20 22:53  arthur

	* debian/control: remove XS- prefix from version control fields

2007-11-20 22:47  arthur

	* debian/control: put Homepage field in source stanza

2007-11-12 23:00  arthur

	* cvsd.c: correctly handle return value of sysconf()

2007-10-25 11:01  arthur

	* cvsd.init.in, debian/cvsd.init: remove S runlevel from init
	  script

2007-07-23 17:22  arthur

	* debian/rules: use stricter distclean run in clean target as
	  suggested by lintian

2007-07-21 16:34  arthur

	* FAQ: update FAQ from website (typo fix) and re-wrap text

2007-07-21 15:38  arthur

	* config.guess, config.sub: include updated files

2007-07-21 14:46  arthur

	* Makefile.am: modifications to get 'make distcheck' to pass

2007-07-21 14:35  arthur

	* debian/control: add XS-Vcs-Cvs and XS-Vcs-Browser as specified in
	  #391023

2007-07-21 14:34  arthur

	* debian/control: add build-dependency on po-debconf since we use
	  it during clean

2007-07-21 14:33  arthur

	* debian/: templates, po/cs.po, po/da.po, po/de.po, po/es.po,
	  po/fr.po, po/ja.po, po/nl.po, po/pt.po, po/pt_BR.po,
	  po/templates.pot, po/vi.po: shorten debconf question/prompt to
	  remove method and unfuzzy translations

2007-07-21 14:17  arthur

	* autogen.sh: force regeneration of all files

2007-06-05 23:36  arthur

	* cvsd-buildroot.in: hide more errors

2007-04-09 16:07  arthur

	* configure.ac: small fix for --disable-debug and
	  --disable-warnings

2007-04-09 16:02  arthur

	* Makefile.am: just ship all po files in the debian/po directory
	  and don't name every individual file

2007-02-04 23:33  arthur

	* xmalloc.c: fix type of length variable in xstrdup(), thanks to
	  Pierre Pronchery <khorben@defora.org> for spotting this
